<?php
require_once("../config/config.php");

$id = $_GET['id'];

// Consultar la base de datos para obtener los detalles del resumen, incluyendo los nombres de los evaluadores y autores
$sql = "
SELECT 
    t.id,
    t.codigo,
    t.fecha,
    ta1.descripcion as area_tematica,
    t.titulo,
    t.nombre_corresponsal,
    t.apellido_corresponsal,
    t.introduccion,
    t.materiales,
    t.resultados,
    t.conclusiones,
    t.activo,
    t.estado,
    t.pais,
    t.ciudad,
    t.inst_autor1,
    tp.descripcion_esp as tipo_presentacion,
    tc.descripcion_esp as tipo_competicion,
    tu1.nombre AS nombre_evaluador1,
    tu2.nombre AS nombre_evaluador2,
    tu3.nombre AS nombre_evaluador3,
    t.calificacion1_1, t.calificacion1_2, t.calificacion1_3, t.calificacion1_4, t.calificacion1_5, t.calificacion1_6, t.calificacion1_fecha,
    t.calificacion2_1, t.calificacion2_2, t.calificacion2_3, t.calificacion2_4, t.calificacion2_5, t.calificacion2_6, t.calificacion2_fecha,
    t.calificacion3_1, t.calificacion3_2, t.calificacion3_3, t.calificacion3_4, t.calificacion3_5, t.calificacion3_6, t.calificacion3_fecha,
    CONCAT_WS(' ', t.autor1, t.apellido_autor1) AS autor1_completo,
    CONCAT_WS(' ', t.autor2, t.apellido_autor2) AS autor2_completo,
    CONCAT_WS(' ', t.autor3, t.apellido_autor3) AS autor3_completo,
    CONCAT_WS(' ', t.autor4, t.apellido_autor4) AS autor4_completo,
    CONCAT_WS(' ', t.autor5, t.apellido_autor5) AS autor5_completo,
    CONCAT_WS(' ', t.autor6, t.apellido_autor6) AS autor6_completo,
    CONCAT_WS(' ', t.autor7, t.apellido_autor7) AS autor7_completo,
    CONCAT_WS(' ', t.autor8, t.apellido_autor8) AS autor8_completo,
    CONCAT_WS(' ', t.autor9, t.apellido_autor9) AS autor9_completo,
    CONCAT_WS(' ', t.autor10, t.apellido_autor10) AS autor10_completo
FROM ttrabajo t
LEFT JOIN tusuario tu1 ON t.evaluador1 = tu1.id
LEFT JOIN tusuario tu2 ON t.evaluador2 = tu2.id
LEFT JOIN tusuario tu3 ON t.evaluador3 = tu3.id
LEFT JOIN tarea ta1 ON t.area_tematica = ta1.codigo
LEFT JOIN ttipo_presentacion tp ON t.cod_tipo_presentacion_propuesto=tp.codigo
LEFT JOIN ttipo_competicion tc ON t.cod_tipo_competicion_propuesto=tc.codigo
WHERE t.id = $id
LIMIT 1;
";
$query = $conexion->query($sql);

if ($query && $query->num_rows > 0) {
    $resumen = $query->fetch_assoc();

    // Construir el array de autores, excluyendo valores vacíos
    $autores = [];
    for ($i = 1; $i <= 10; $i++) {
        $autor = trim($resumen["autor{$i}_completo"]); // Eliminar espacios en blanco al inicio y al final
        if (!empty($autor)) { // Solo agregar si no está vacío
            $autores[] = $autor;
        }
    }
    $resumen['autores'] = $autores;
} else {
    $resumen = [];
}


// Devolver los detalles del resumen como un objeto JSON
header('Content-type: application/json; charset=utf-8');
echo json_encode($resumen);
exit;
